---@meta

---@class Rotation : Animation
Rotation = {
	--- Gets the origin point for the rotation.
	--- @return number x, number y The origin point coordinates.
	--- @example
	--- local x, y = myRotation:GetOrigin()
	GetOrigin = function(self) end,

	--- Gets the degrees to rotate.
	--- @return number degrees The rotation amount in degrees.
	--- @example
	--- local degrees = myRotation:GetDegrees()
	GetDegrees = function(self) end,

	--- Gets the radians to rotate.
	--- @return number radians The rotation amount in radians.
	--- @example
	--- local radians = myRotation:GetRadians()
	GetRadians = function(self) end,

	--- Sets the origin point for the rotation.
	--- @param x number The x-coordinate of the origin point.
	--- @param y number The y-coordinate of the origin point.
	--- @example
	--- myRotation:SetOrigin(0.5, 0.5)
	SetOrigin = function(self, x, y) end,

	--- Sets the degrees to rotate.
	--- @param degrees number The rotation amount in degrees.
	--- @example
	--- myRotation:SetDegrees(90)
	SetDegrees = function(self, degrees) end,

	--- Sets the radians to rotate.
	--- @param radians number The rotation amount in radians.
	--- @example
	--- myRotation:SetRadians(math.pi / 2)
	SetRadians = function(self, radians) end,
}
